| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
Gaudi::Utils::Aida2ROOT Class Reference

Accessor to underlying ROOT-representation of transient histograms The actual code is imported from Bender project. More...

`#include <GaudiKernel/Aida2ROOT.h>`

## Static Public Member Functions
static TH1D * | aida2root (AIDA::IHistogram1D *aida)
| get the underlying pointer for 1D-histogram More...
static const TH1D * | aida2root (const AIDA::IHistogram1D *aida)
static TH2D * | aida2root (AIDA::IHistogram2D *aida)
| get the underlying pointer for 2D-histogram More...
static const TH2D * | aida2root (const AIDA::IHistogram2D *aida)
static TH3D * | aida2root (AIDA::IHistogram3D *aida)
| get the underlying pointer for 3D-histogram More...
static const TH3D * | aida2root (const AIDA::IHistogram3D *aida)
static TProfile * | aida2root (AIDA::IProfile1D *aida)
| get the underlying pointer for 1D-profile More...
static const TProfile * | aida2root (const AIDA::IProfile1D *aida)
static TProfile2D * | aida2root (AIDA::IProfile2D *aida)
| get the underlying pointer for 2D-profile More...
static const TProfile2D * | aida2root (const AIDA::IProfile2D *aida)
static TObject * | aida2root (AIDA::IHistogram *aida)
| get root representation for other cases More...
static const TObject * | aida2root (const AIDA::IHistogram *aida)

## Detailed Description

Accessor to underlying ROOT-representation of transient histograms The actual code is imported from Bender project.

It relies on PI implementation of AIDA interface, modified by Markus FRANK.

See also
  Gaudi::H1D
  Gaudi::H2D
  Gaudi::H3D
  Gaudi::Profile1D
  Gaudi::Profile2D
  AIDA::IHistogram1D
  AIDA::IHistogram2D
  AIDA::IHistogram3D
  AIDA::IProfile1D
  AIDA::IProfile2D

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-01-23

Definition at line 60 of file Aida2ROOT.h.

## Member Function Documentation

TH1D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram1D * | aida | ) |
| static

get the underlying pointer for 1D-histogram

Definition at line 72 of file Aida2ROOT.cpp.

73 {
74 return a2r_cast<TH1D>( aida );
75 }

const TH1D * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IHistogram1D * | aida | ) |
| static

Definition at line 76 of file Aida2ROOT.cpp.

77 {
78 return a2r_cast<const TH1D>( aida );
79 }

TH2D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram2D * | aida | ) |
| static

get the underlying pointer for 2D-histogram

Definition at line 83 of file Aida2ROOT.cpp.

84 {
85 return a2r_cast<TH2D>( aida );
86 }

const TH2D * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IHistogram2D * | aida | ) |
| static

Definition at line 87 of file Aida2ROOT.cpp.

88 {
89 return a2r_cast<const TH2D>( aida );
90 }

TH3D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram3D * | aida | ) |
| static

get the underlying pointer for 3D-histogram

Definition at line 94 of file Aida2ROOT.cpp.

95 {
96 return a2r_cast<TH3D>( aida );
97 }

const TH3D * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IHistogram3D * | aida | ) |
| static

Definition at line 98 of file Aida2ROOT.cpp.

99 {
100 return a2r_cast<const TH3D>( aida );
101 }

TProfile * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IProfile1D * | aida | ) |
| static

get the underlying pointer for 1D-profile

Definition at line 105 of file Aida2ROOT.cpp.

106 {
107 return a2r_cast<TProfile>( aida );
108 }

const TProfile * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IProfile1D * | aida | ) |
| static

Definition at line 109 of file Aida2ROOT.cpp.

110 {
111 return a2r_cast<const TProfile>( aida );
112 }

TProfile2D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IProfile2D * | aida | ) |
| static

get the underlying pointer for 2D-profile

Definition at line 116 of file Aida2ROOT.cpp.

117 {
118 return a2r_cast<TProfile2D>( aida );
119 }

const TProfile2D * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IProfile2D * | aida | ) |
| static

Definition at line 120 of file Aida2ROOT.cpp.

121 {
122 return a2r_cast<const TProfile2D>( aida );
123 }

TObject * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram * | aida | ) |
| static

get root representation for other cases

Definition at line 127 of file Aida2ROOT.cpp.

128 {
129 return a2r_cast<TObject>(aida);
130 }

const TObject * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IHistogram * | aida | ) |
| static

Definition at line 131 of file Aida2ROOT.cpp.

132 {
133 return a2r_cast<const TObject>(aida);
134 }

The documentation for this class was generated from the following files:

- GaudiUtils/GaudiUtils/Aida2ROOT.h
- GaudiUtils/src/Lib/Aida2ROOT.cpp